import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { MatSort } from '@angular/material/sort';
import { MatTableDataSource } from '@angular/material/table';
export declare class FeatureinfoTableDialogComponent implements OnInit {
    dialogRef: MatDialogRef<FeatureinfoTableDialogComponent>;
    data: any;
    dataSource: MatTableDataSource<any>;
    columns: string[];
    sort: MatSort;
    constructor(dialogRef: MatDialogRef<FeatureinfoTableDialogComponent>, data: any);
    ngOnInit(): void;
    exportCsv(): void;
}
